<!DOCTYPE html>
<html lang="de-DE">
{{> head }}
<style>
    #values #table-left-title {
        float: left;
        padding-left: 25%;
        border: 1px solid black;
    }

    #values #table-left {
        float: left;
        padding-left: 15px;
    }

    #values {
        padding: 3px;
        width: 300px;
        margin-left: auto;
        margin-right: auto;
    }

    #values #table-right-title {
        float: right;
        padding-right: 25%;
        border: 1px solid black;
    }

    #values #table-right {
        padding-right: 15px;
        float: right;
    }

    #solution {
        padding: 15px;
    }

    #solution #title {
        text-align: center;
    }

    #solution #content table {
        margin-left: auto;
        margin-right: auto;
    }

    table#relAlgebra {
        font-family: Arial;
        font-size: 0.93em;
        border: 1px solid #333;
    }

    table thead {
        background-color: #efefef;
    }

    table tr td {
        padding: 10px;
    }

    .txtInput {
        width: 40px;
        text-align: center;
    }

    .buttonArea {
        width: 80%;
        margin: 0 auto;
        height: 35px;
    }

    .buttonArea button {
        float: right;
        margin: 5px;
    }

    .result {
        width: 400px;
        margin-left: auto;
        margin-right: auto;
    }

    #positivResult {
        color: green;
        float: right;
    }

    #negativResult {
        color: red;
        float: right;
    }

    .clear {
        clear: both;
    }
</style>
<body>
    <div>
        {{> nav }}
        <div>
            {{> breadcrumbs }}
            <div id="ovk-content" aria-label="Inhaltsbereich" role="main">
                {{> headline head="Übung Relationale Algebra" }}
                <p>In diesem interaktiven Element kannst du die Basisoperatoren der relationalen Algebra an unterschiedlichen Beispielen üben:
                <ul class="ovk-bullet-list">
                    <li>Im oberen Bereich des interaktiven Elements siehst du die beiden Relationen R und S,
                        auf die die Operatoren angewendet werden sollen.</li>
                    <li>Im unteren Bereich befindet sich über der (noch) leeren Relation die Operation, die
                        es anzuwenden gilt.</li>
                    <li>Fülle die leere Tabelle nach den Vorgaben der Operation aus. Deine eingegebene
                        Lösung kannst du über den Button &nbsp;<button
                            class="btn btn-warning btn-sm">Kontrolle</button>&nbsp;
                        überprüfen lassen.</li>
                    <li>Falls du dir bei der Lösung unsicher bist, kannst du dir über den Button
                        &nbsp;<button class="btn btn-success btn-sm">Lösung</button>&nbsp; die richtige
                        Lösung anzeigen lassen.</li>
                    <li>Über den Button &nbsp;<button class="btn btn-sm btn-primary">Neue
                            Relation</button>&nbsp; kannst du dir eine neue Aufgabe anzeigen lassen.</li>
                </ul>
                </p>
                <div class="interactive" style="width: 80%, margin: auto;">
                    <div
                        style="background-color: #fff; max-width: 90%; min-height: 36em; margin: 0 auto; border:1px solid #AAA; padding: 15px">
                        <div class="buttonArea">
                            <button id="newTaskButton" class="btn btn-primary" id="">Neue Relation</button>
                        </div>
                        <div class="clear"></div>
                        <div id="values">
                            <div id="table-left"></div>
                            <div id="table-right"></div>
                            <div class="clear"></div>
                            <div id="solution">
                                <div id="title"></div>
                                <div id="content"></div>
                            </div>
                            <div class="result">
                                <div id="positivResult"></div>
                                <div id="negativResult"></div>
                            </div>
                        </div>
                        <div class="clear"></div>
                        <div class="buttonArea">
                            <button class="btn btn-warning" id="checkButton">Kontrolle</button>
                            <button class="btn btn-success" id="solutionButton">Lösung</button>
                            <button class="btn btn-primary" id="resetButton">Felder zurücksetzen</button>
                        </div>
                    </div>
                    <div class="interactiveOverlay"></div>
                </div>         
            </div>
        </div>
    </div>
</body>

</html>